<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myPositionReportingStructureLabel" jhiTranslate="mpmApp.positionReportingStructure.home.createOrEditLabel">Create or edit a Position Reporting Structure</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!positionReportingStructure.idPositionStructure">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="positionReportingStructure.idPositionStructure" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.positionReportingStructure.dateFrom" for="field_dateFrom">Date From</label>
            <div class="input-group">
                <p-calendar inputId="field_dateFrom" name="input_dateFrom" [(ngModel)]="positionReportingStructure.dateFrom"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.positionReportingStructure.dateThru" for="field_dateThru">Date Thru</label>
            <div class="input-group">
                <p-calendar inputId="field_dateThru" name="input_dateThru" [(ngModel)]="positionReportingStructure.dateThru"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.positionReportingStructure.positionFrom" for="field_positionFrom">Position From</label>
            <select class="form-control" id="field_positionFrom" name="positionFrom" [(ngModel)]="positionReportingStructure.positionFromId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="positionOption.idPosition" *ngFor="let positionOption of positions; trackBy: trackPositionById">{{positionOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.positionReportingStructure.positionTo" for="field_positionTo">Position To</label>
            <select class="form-control" id="field_positionTo" name="positionTo" [(ngModel)]="positionReportingStructure.positionToId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="positionOption.idPosition" *ngFor="let positionOption of positions; trackBy: trackPositionById">{{positionOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
